Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## Util
Enum Enums.SymbolType

    java.lang.Object
      java.lang.Enum<Enums.SymbolType>
          Util.Enums.SymbolType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Enums.SymbolType>

Enclosing class:
  Enums

    public static enum Enums.SymbolType

extends java.lang.Enum<Enums.SymbolType>

Enum for SymbolType. Consists of Non-Terminal(NTSymbol) or Terminal(TSymbol) symbol.

Enum Constant Summary
`NTSymbol`
`TSymbol`

Method Summary
`static Enums.SymbolType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Enums.SymbolType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NTSymbol

    public static final Enums.SymbolType NTSymbol

### TSymbol

    public static final Enums.SymbolType TSymbol

Method Detail

### values

    public static Enums.SymbolType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Enums.SymbolType c : Enums.SymbolType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Enums.SymbolType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD